> For the complete documentation index, see [llms.txt](https://docs.sealights.io/knowledgebase/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/java-build-tools-plugins/sealights-maven-plugin/advanced-features/skipping-child-modules.md).

# Skipping Child Modules

By default the SeaLights Maven plugin will run on all the child modules of a parent pom. If you do not want it to run on all the modules you can skip modules in one of two ways.

## sl.modulesToSkip property <a href="#skippingchildmodules-sl.modulestoskipproperty" id="skippingchildmodules-sl.modulestoskipproperty"></a>

The SeaLights Maven plugin can recieve a comma seperated list of modules to skip. It can be passed through the `sl.modulesToSkip` property.

This can be done for example by passing it in the maven command line like so: `-Dsl.modulesToSkip=module-a,module-b`

## sealights.skip property <a href="#skippingchildmodules-sealights.skipproperty" id="skippingchildmodules-sealights.skipproperty"></a>

A child module can be defined to skip the SeaLights integration by adding the `sealights.skip` property set to `true` .

For example the following can be added to the child pom:

{% code overflow="wrap" lineNumbers="true" %}

```
<properties>
    <sealights.skip>true</sealights.skip>
</properties>
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/java-build-tools-plugins/sealights-maven-plugin/advanced-features/skipping-child-modules.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
